diff --git a/lib/hive/config.rb b/lib/hive/config.rb
index a67097d8d..f45ae2626 100644
--- a/lib/hive/config.rb
+++ b/lib/hive/config.rb
@@ -1,5 +1,6 @@
 require "yaml"
 require "fileutils"
+require "hive/paths"
 require "hive/agent_profiles"
 
 module Hive
@@ -170,11 +171,11 @@ module Hive
         "codex_budget_usd" => 1,
         "codex_timeout_sec" => 120,
         "shutdown_grace_sec" => 60,
-        "pid_file" => "~/Dev/hive/.bot.pid",
-        "log_file" => "~/Dev/hive/logs/bot.log",
+        "pid_file" => "~/.local/state/hive/.bot.pid",
+        "log_file" => "~/.local/state/hive/logs/bot.log",
         "log_max_bytes" => 10_485_760,
         "log_max_files" => 5,
-        "last_seen_state_file" => "~/Dev/hive/.bot.last_seen_update_id"
+        "last_seen_state_file" => "~/.local/state/hive/.bot.last_seen_update_id"
       },
       # Auto-rebase pre-step for `hive run` (plan
       # docs/plans/2026-05-14-001-feat-hive-auto-rebase-stale-worktree-plan.md).
@@ -208,12 +209,52 @@ module Hive
 
     module_function
 
+    # Legacy pre-XDG home used only as a back-compat read fallback for the
+    # global config. Never a write target for a fresh install. Expanded at
+    # call time (not a frozen constant) so HOME is honoured dynamically.
+    def legacy_hive_home
+      File.expand_path("~/Dev/hive")
+    end
+
+    # Whether the operator explicitly set HIVE_HOME (as opposed to it being
+    # absent). An env var set-but-empty counts as unset, so `HIVE_HOME=` on
+    # a CI shell can't silently yank the whole install back to the legacy
+    # source-tree default.
+    def explicit_hive_home?
+      v = ENV["HIVE_HOME"]
+      !v.nil? && !v.empty?
+    end
+
+    # The container hive uses for its state files (daemon/bot pid+logs).
+    # Under an explicitly-set HIVE_HOME it is that directory (back-compat
+    # for existing installs and the test harness). Otherwise it resolves to
+    # the XDG state dir (~/.local/state/hive, honouring XDG_STATE_HOME) so a
+    # fresh install never writes to the old `~/Dev/hive` source tree.
     def hive_home
-      ENV["HIVE_HOME"] || File.expand_path("~/Dev/hive")
+      return ENV["HIVE_HOME"] if explicit_hive_home?
+
+      Hive::Paths.state_dir
+    end
+
+    # Primary global-config write target: HIVE_HOME/config.yml when HIVE_HOME
+    # is set (back-compat), else the XDG config path (~/.config/hive/config.yml,
+    # honouring XDG_CONFIG_HOME).
+    def global_config_write_path
+      explicit_hive_home? ? File.join(hive_home, "config.yml") : Hive::Paths.config_path
     end
 
+    # Global-config READ path. Resolves in order (per U2 / assumption 1):
+    #   1. HIVE_HOME, when explicitly set → HIVE_HOME/config.yml
+    #   2. XDG config path (~/.config/hive/config.yml) when present
+    #   3. legacy ~/Dev/hive/config.yml — ONLY when the XDG path is absent
+    #      AND the legacy file exists (back-compat for pre-XDG installs)
+    #   4. otherwise the XDG config path (first-run; caller lazy-creates)
     def global_config_path
-      File.join(hive_home, "config.yml")
+      return global_config_write_path if explicit_hive_home?
+      return Hive::Paths.config_path if File.exist?(Hive::Paths.config_path)
+
+      legacy = File.join(legacy_hive_home, "config.yml")
+      File.exist?(legacy) ? legacy : Hive::Paths.config_path
     end
 
     def hive_state_dir(project_root, hive_state_name = ".hive-state")
@@ -255,6 +296,7 @@ module Hive
 
     def registered_projects
       validate_hive_home!
+      emit_legacy_config_notice_once
       path = global_config_path
       return [] unless File.exist?(path)
 
@@ -311,15 +353,64 @@ module Hive
       raise ConfigError, "global config at #{path} is not readable: #{e.message}"
     end
 
-    # Atomic + EACCES-aware writer for ~/Dev/hive/config.yml. Mirrors
+    # Whether the global config read resolves to the legacy ~/Dev/hive
+    # path (a pre-XDG install that hasn't been migrated yet).
+    def using_legacy_global_config?
+      return false if explicit_hive_home?
+
+      !File.exist?(Hive::Paths.config_path) &&
+        File.exist?(File.join(legacy_hive_home, "config.yml"))
+    end
+
+    # One-time (per process) notice to stderr when the global config is
+    # being read from the legacy ~/Dev/hive path during the XDG transition,
+    # so the operator learns their config home moved. Emit only from the
+    # read surfaces (registered_projects / load_global_daemon /
+    # load_global_bot), never from path-resolution helpers called in a hot
+    # loop, and never from the HIVE_HOME path (which is intentional).
+    def emit_legacy_config_notice_once
+      return unless using_legacy_global_config?
+      return if @legacy_config_notice_emitted
+
+      @legacy_config_notice_emitted = true
+      warn "hive: reading global config from legacy #{File.join(legacy_hive_home, 'config.yml')}; " \
+           "hive now stores it under #{Hive::Paths.config_dir} " \
+           "(move or copy it there to migrate)"
+    rescue Errno::EPIPE
+      nil
+    end
+
+    # Atomic + EACCES-aware writer for the global config.yml. Mirrors
     # the shape of `Hive::Markers.write_atomic` so a future flock
     # upgrade (Issue #31) can swap in here without rewriting every
     # call site. Permission errors on write surface as ConfigError
-    # (exit 78), matching the read-side classification.
+    # (exit 78), matching the read-side classification. Always writes to
+    # the primary (XDG / HIVE_HOME) target, never the legacy fallback.
     def write_global_config!(data)
-      File.write(global_config_path, data.to_yaml)
+      path = global_config_write_path
+      FileUtils.mkdir_p(File.dirname(path))
+      File.write(path, data.to_yaml)
     rescue Errno::EACCES, Errno::EROFS, Errno::ENOSPC => e
-      raise ConfigError, "global config at #{global_config_path} could not be written: #{e.message}"
+      raise ConfigError, "global config at #{path} could not be written: #{e.message}"
+    end
+
+    # Persist the first-run provider/model captured by `hive init` (U3)
+    # into the global config under a `first_run:` block, preserving
+    # registered_projects and any other keys. Reads from the resolved read
+    # path (so a legacy config's existing projects survive) and writes to
+    # the primary (XDG / HIVE_HOME) target. `compact` drops nil model.
+    def upsert_first_run!(provider: nil, model: nil)
+      FileUtils.mkdir_p(File.dirname(global_config_write_path))
+      data = if File.exist?(global_config_path)
+               load_global_config(global_config_path)
+      else
+               {}
+      end
+      raise ConfigError, "global config at #{global_config_path} must be a hash" unless data.is_a?(Hash)
+
+      data["first_run"] = { "provider" => provider, "model" => model }.compact
+      write_global_config!(data)
+      data["first_run"]
     end
 
     def find_project(name)
@@ -337,6 +428,7 @@ module Hive
     # present (first-run scenario, no projects registered yet).
     def load_global_daemon
       validate_hive_home!
+      emit_legacy_config_notice_once
       path = global_config_path
       data = File.exist?(path) ? load_global_config(path) : {}
       raise ConfigError, "global config at #{path} must be a hash" unless data.is_a?(Hash)
@@ -361,6 +453,7 @@ module Hive
     # `hive status` require a Telegram token.
     def load_global_bot(require_runtime: false)
       validate_hive_home!
+      emit_legacy_config_notice_once
       path = global_config_path
       data = File.exist?(path) ? load_global_config(path) : {}
       raise ConfigError, "global config at #{path} must be a hash" unless data.is_a?(Hash)
@@ -393,7 +486,7 @@ module Hive
     end
 
     def register_project(name:, path:)
-      FileUtils.mkdir_p(hive_home)
+      FileUtils.mkdir_p(File.dirname(global_config_write_path))
       data = if File.exist?(global_config_path)
                load_global_config(global_config_path)
       else
diff --git a/lib/hive/install_method.rb b/lib/hive/install_method.rb
new file mode 100644
index 000000000..66fdd3814
--- /dev/null
+++ b/lib/hive/install_method.rb
@@ -0,0 +1,65 @@
+require "yaml"
+require "fileutils"
+require "hive/paths"
+
+module Hive
+  # Records which channel installed the hive binary (U4 / U5 / U6).
+  #
+  # The installers (brew formula, AUR PKGBUILD, the bash one-liner) write a
+  # marker file under the XDG state dir describing { channel, package, version,
+  # bin }. `hive update` shells out to that channel's native updater and never
+  # swaps the binary in place (R14); `hive uninstall` uses the marker to hand
+  # removal off to the channel's uninstaller where managed (R15); the daemon
+  # service generation uses the recorded `bin` (hive vs hv) so the unit always
+  # matches how hive is actually installed.
+  #
+  # An absent/corrupt marker is NOT inferred from the filesystem — callers must
+  # treat it as "unknown channel" and refuse to guess.
+  module InstallMethod
+    module_function
+
+    def marker_path
+      File.join(Hive::Paths.state_dir, "install-method")
+    end
+
+    # Read the marker as a Hash with String keys { channel, package, version,
+    # bin } (only those present on disk), or nil when absent/corrupt.
+    def read
+      return nil unless File.exist?(marker_path)
+
+      data = YAML.safe_load(File.read(marker_path))
+      data.is_a?(Hash) ? data : nil
+    rescue Psych::Exception, Errno::EACCES
+      nil
+    end
+
+    def channel
+      read&.dig("channel")
+    end
+
+    def bin
+      read&.dig("bin")
+    end
+
+    # Write/replace the marker. channel must be one of the known channels.
+    # Extra fields (package / version / bin) are stored when provided so
+    # update/uninstall/service stay consistent with the real install.
+    CHANNELS = %w[brew aur script].freeze
+
+    def write(channel:, package: nil, version: nil, bin: nil)
+      raise ArgumentError, "unknown channel #{channel.inspect}" unless CHANNELS.include?(channel)
+
+      data = { "channel" => channel }
+      data["package"] = package if package
+      data["version"] = version if version
+      data["bin"] = bin if bin
+      FileUtils.mkdir_p(File.dirname(marker_path))
+      File.write(marker_path, data.to_yaml)
+      data
+    end
+
+    def clear
+      File.delete(marker_path) if File.exist?(marker_path)
+    end
+  end
+end
\ No newline at end of file
diff --git a/lib/hive/paths.rb b/lib/hive/paths.rb
new file mode 100644
index 000000000..e8cbe5334
--- /dev/null
+++ b/lib/hive/paths.rb
@@ -0,0 +1,85 @@
+module Hive
+  # XDG Base Directory resolution for hive's on-disk layout.
+  #
+  # Before a packaged/installable hive existed, every on-disk path —
+  # the global `config.yml`, daemon/bot logs and pid files, the
+  # `hive_home` default — was hardcoded to the source tree
+  # `~/Dev/hive`. A single-file vendored-Ruby binary has no source
+  # tree to hang paths off, so hive must follow the XDG Base Directory
+  # spec for an installable layout:
+  #
+  #   ~/.config/hive        config dir  → the global config.yml
+  #   ~/.local/share/hive   data dir    → shipped templates/ + schemas/
+  #   ~/.local/state/hive   state dir   → daemon/bot pid+logs, state files
+  #   ~/.cache/hive         cache dir   → derived / scratch caches
+  #   ~/.local/bin/hive     bin dir     → the installed binary (one-liner)
+  #
+  # Every dir honours its XDG_*_HOME environment override. An explicitly
+  # set `HIVE_HOME` continues to override the state dir (and via
+  # Hive::Config, the config file), preserving the legacy single-container
+  # behaviour for existing installs and the test harness.
+  module Paths
+    module_function
+
+    def home
+      File.expand_path(Dir.home)
+    end
+
+    # Expand an XDG_*_HOME override, or return the standard default when
+    # the override is unset/blank (an env var set-but-empty is treated as
+    # unset, matching the XDG spec's "empty value == unset" reading).
+    def env_dir(env, default)
+      v = ENV[env]
+      (v.nil? || v.empty?) ? default : File.expand_path(v)
+    end
+
+    def xdg_config_home
+      env_dir("XDG_CONFIG_HOME", File.join(home, ".config"))
+    end
+
+    def xdg_data_home
+      env_dir("XDG_DATA_HOME", File.join(home, ".local", "share"))
+    end
+
+    def xdg_state_home
+      env_dir("XDG_STATE_HOME", File.join(home, ".local", "state"))
+    end
+
+    def xdg_cache_home
+      env_dir("XDG_CACHE_HOME", File.join(home, ".cache"))
+    end
+
+    def config_dir
+      File.join(xdg_config_home, "hive")
+    end
+
+    def config_path
+      File.join(config_dir, "config.yml")
+    end
+
+    def data_dir
+      File.join(xdg_data_home, "hive")
+    end
+
+    def templates_dir
+      File.join(data_dir, "templates")
+    end
+
+    def schemas_dir
+      File.join(data_dir, "schemas")
+    end
+
+    def state_dir
+      File.join(xdg_state_home, "hive")
+    end
+
+    def cache_dir
+      File.join(xdg_cache_home, "hive")
+    end
+
+    # Where the one-liner installer drops the binary (R8).
+    def bin_dir
+      File.join(home, ".local", "bin")
+    end
+  end
+end
\ No newline at end of file
diff --git a/lib/hive/service.rb b/lib/hive/service.rb
new file mode 100644
index 000000000..e80974395
--- /dev/null
+++ b/lib/hive/service.rb
@@ -0,0 +1,191 @@
+require "fileutils"
+require "hive/paths"
+require "hive/install_method"
+
+module Hive
+  # Daemon service registration for `hive init` (U3 / R12).
+  #
+  # Generates a launchd agent (macOS) or a systemd-user unit (Linux) that
+  # runs the `hive daemon` dispatcher, baking in the resolved hive binary
+  # path. The unit is written by init; whether it is ENABLED and STARTED is
+  # a separate, explicit prompt ("enable + start now?") that defaults to no
+  # action — init never autostarts silently regardless of platform.
+  #
+  # Unit paths:
+  #   macOS: ~/Library/LaunchAgents/local.hive-daemon.plist
+  #   Linux: ~/.config/systemd/user/hive-daemon.service
+  module Service
+    module_function
+
+    def self.home_override
+      @home_override
+    end
+
+    def self.home_override=(dir)
+      @home_override = dir ? File.expand_path(dir) : nil
+    end
+
+    def home
+      Hive::Service.home_override || Hive::Paths.home
+    end
+
+    def macos?
+      RUBY_PLATFORM.include?("darwin")
+    end
+
+    def launchd_unit_path
+      File.join(home, "Library", "LaunchAgents", "local.hive-daemon.plist")
+    end
+
+    def systemd_unit_path
+      File.join(home, ".config", "systemd", "user", "hive-daemon.service")
+    end
+
+    def unit_dir
+      macos? ? File.dirname(launchd_unit_path) : File.dirname(systemd_unit_path)
+    end
+
+    def unit_path
+      macos? ? launchd_unit_path : systemd_unit_path
+    end
+
+    def unit_name
+      macos? ? "local.hive-daemon" : "hive-daemon"
+    end
+
+    # The hive binary path to bake into the unit. Precedence: an explicit
+    # HIVE_BIN override (tests / exotic layouts), else the path this process
+    # was launched from when it resolves to a real installed binary, else the
+    # bin name recorded by the install-method marker (hive vs hv) resolved on
+    # PATH or from the XDG bin dir, else the XDG one-liner bin dir default.
+    def binary_path
+      v = ENV["HIVE_BIN"]
+      return v if v && !v.empty?
+
+      prog = begin
+        $PROGRAM_NAME.to_s
+      rescue StandardError
+        ""
+      end
+      # Only treat the running process as the installed hive when it resolves
+      # to a real `hive`/`hv` binary AND is not the source-checkout dev shim.
+      # A generic Ruby entry point (e.g. a test runner) must never be baked
+      # into the unit as the daemon binary.
+      resolved = resolve_program(prog) unless prog.empty?
+      return resolved if resolved
+
+      # The install-method marker records the bin NAME (hive vs hv); resolve
+      # it to a real path via PATH (brew/AUR/one-liner) then the XDG bin dir.
+      bin_name = Hive::InstallMethod.bin
+      if bin_name && !bin_name.empty?
+        on_path = which(bin_name)
+        return on_path if on_path
+
+        return File.join(Hive::Paths.bin_dir, bin_name)
+      end
+
+      File.join(Hive::Paths.bin_dir, "hive")
+    end
+
+    # Resolve $PROGRAM_NAME to the real installed binary path, or nil when it
+    # is not a hive binary (bare name not on PATH, dev shim, test runner, …).
+    def resolve_program(prog)
+      path = File.exist?(prog) ? File.realpath(prog) : which(File.basename(prog))
+      return nil if path.nil?
+      return nil unless %w[hive hv].include?(File.basename(path))
+      return nil if dev_shim?(path)
+
+      path
+    rescue StandardError
+      nil
+    end
+
+    # Look up `name` on PATH, returning the first executable hit's realpath.
+    def which(name)
+      ENV.fetch("PATH", "").split(File::PATH_SEPARATOR).each do |dir|
+        next if dir.empty?
+
+        candidate = File.join(dir, name)
+        return File.realpath(candidate) if File.file?(candidate) && File.executable?(candidate)
+      rescue Errno::EACCES
+        next
+      end
+      nil
+    end
+
+    # The source-checkout dev shim lives at <root>/bin/hive and loads hive
+    # from <root>/lib. Detect it by that sibling source tree; a real installed
+    # binary has no lib/hive.rb sitting next to it.
+    def dev_shim?(bin_path)
+      root = File.dirname(File.dirname(bin_path))
+      File.exist?(File.join(root, "lib", "hive.rb"))
+    end
+
+    def render_launchd_plist(bin)
+      <<~PLIST
+        <?xml version="1.0" encoding="UTF-8"?>
+        <!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
+        <plist version="1.0">
+        <dict>
+          <key>Label</key>
+          <string>local.hive-daemon</string>
+          <key>ProgramArguments</key>
+          <array>
+            <string>#{bin}</string>
+            <string>daemon</string>
+            <string>start</string>
+          </array>
+          <key>RunAtLoad</key>
+          <false/>
+          <key>KeepAlive</key>
+          <false/>
+        </dict>
+        </plist>
+      PLIST
+    end
+
+    def render_systemd_unit(bin)
+      <<~UNIT
+        [Unit]
+        Description=Hive workflow daemon
+        After=network-online.target
+
+        [Service]
+        Type=simple
+        ExecStart=#{bin} daemon start
+        Restart=on-failure
+        RestartSec=5
+        StartLimitBurst=5
+        StartLimitIntervalSec=60
+
+        [Install]
+        WantedBy=default.target
+      UNIT
+    end
+
+    # Write the unit for the current platform. Returns the unit path.
+    def generate
+      FileUtils.mkdir_p(unit_dir)
+      content = macos? ? render_launchd_plist(binary_path) : render_systemd_unit(binary_path)
+      File.write(unit_path, content)
+      unit_path
+    end
+
+    def unit_present?
+      File.exist?(unit_path)
+    end
+
+    # The shell commands that would ENABLE + START the unit. Not executed
+    # here — `hive init` runs them only behind an explicit prompt.
+    def enable_start_commands
+      if macos?
+        [ "launchctl load -w #{unit_path}" ]
+      else
+        [
+          "systemctl --user daemon-reload",
+          "systemctl --user enable --now #{unit_name}.service"
+        ]
+      end
+    end
+  end
+end
\ No newline at end of file
diff --git a/lib/hive/stages/base.rb b/lib/hive/stages/base.rb
index 7d19d3cfd..59902148b 100644
--- a/lib/hive/stages/base.rb
+++ b/lib/hive/stages/base.rb
@@ -4,6 +4,7 @@ require "securerandom"
 require "time"
 require "hive/agent"
 require "hive/agent_profiles"
+require "hive/paths"
 
 module Hive
   module Stages
@@ -23,8 +24,24 @@ module Hive
         "user_supplied_#{SecureRandom.hex(8)}"
       end
 
+      # Install-aware built-in template path (U2). A packaged binary has no
+      # source tree, so shared templates are shipped into the XDG data dir;
+      # resolution is data-dir-first with a source-tree fallback for dev /
+      # `git clone` usage. Existence is checked so a packaged binary whose
+      # data asset is missing fails loudly at render time rather than
+      # silently writing an ERB template filename into the prompt.
+      def builtin_template_path(name)
+        installed = File.join(Hive::Paths.templates_dir, name)
+        return installed if File.exist?(installed)
+
+        File.expand_path("../../../templates/#{name}", __dir__)
+      end
+
+      # Install-aware render: resolve the built-in (or custom) path then
+      # render it. For built-ins this honours the XDG data dir; custom
+      # (slashed) paths still flow through resolve_template_path's jail.
       def render(template_name, bindings_obj)
-        path = File.expand_path("../../../templates/#{template_name}", __dir__)
+        path = builtin_template_path(template_name)
         ERB.new(File.read(path), trim_mode: "-").result(bindings_obj.binding_for_erb)
       end
 
@@ -60,8 +77,8 @@ module Hive
         raise Hive::ConfigError, "prompt_template name cannot be blank" if name.nil? || name.to_s.empty?
 
         if !name.include?("/") && !File.absolute_path?(name)
-          # Built-in template lookup.
-          builtin = File.expand_path("../../../templates/#{name}", __dir__)
+          # Built-in template lookup (install-aware: data dir first).
+          builtin = builtin_template_path(name)
           unless File.exist?(builtin)
             raise Hive::ConfigError,
                   "prompt_template #{name.inspect} not found among built-ins (#{builtin})"
diff --git a/packaging/aur/PKGBUILD b/packaging/aur/PKGBUILD
new file mode 100644
index 000000000..16d048b11
--- /dev/null
+++ b/packaging/aur/PKGBUILD
@@ -0,0 +1,40 @@
+# Maintainer: the hive project <hive@ivankuznetsov.software>
+# hive-bin: prebuilt, runtime-free binary package (R4). Requires no system
+# Ruby — a vendored-Ruby binary is pulled from GitHub Releases.
+#
+# Publish with:
+#   # sha256sums fill via the U1 release artifact
+#   updpkgsums && makepkg && namcap hive-bin.pkg.tar.zst
+#
+# The package is `hive-bin` regardless of any `hive` name on PATH (R10);
+# the binary is installed to a package-managed path and symlinked as `hive`.
+
+pkgname=hive-bin
+pkgver=0.1.0
+pkgrel=1
+pkgdesc="Agent-driven workflow orchestration (hive daemon + CLI + TUI)"
+arch=('x86_64' 'aarch64')
+url='https://github.com/ivankuznetsov/hive'
+license=('MIT')
+depends=()
+makedepends=()
+install=hive-bin.install
+source_x86_64=("hive-linux-x86_64::https://github.com/ivankuznetsov/hive/releases/download/v${pkgver}/hive-linux-x86_64")
+source_aarch64=("hive-linux-aarch64::https://github.com/ivankuznetsov/hive/releases/download/v${pkgver}/hive-linux-aarch64")
+# sha256sums filled by the U1 release job from SHA256SUMS:
+sha256sums=('0000000000000000000000000000000000000000000000000000000000000000')
+sha256sums_aarch64=('0000000000000000000000000000000000000000000000000000000000000000')
+
+package() {
+  local src
+  case "$CARCH" in
+    x86_64)  src="hive-linux-x86_64" ;;
+    aarch64) src="hive-linux-aarch64" ;;
+  esac
+  install -Dm755 "${srcdir}/${src}" "${pkgdir}/usr/bin/hive"
+}
+
+# After install, the `hive-bin.install` hook writes the install-method marker
+# into ~/.local/state/hive/install-method (channel=aur) so `hive update` (U4)
+# shells out to the AUR helper (default yay) and `hive uninstall` hands the
+# binary back to the package manager.
diff --git a/packaging/aur/hive-bin.install b/packaging/aur/hive-bin.install
new file mode 100644
index 000000000..54cfaa80a
--- /dev/null
+++ b/packaging/aur/hive-bin.install
@@ -0,0 +1,37 @@
+# hive-bin pacman install hooks (U4/U6).
+#
+# Writes the install-method marker into ~/.local/state/hive/install-method on
+# install/upgrade so `hive update` (U4) shells out to the AUR helper and
+# `hive uninstall` (R15) hands the binary back to the package manager instead
+# of guessing. The helper used to install is not knowable from inside pacman,
+# so the marker records only channel/package/version/bin; `hive update`
+# defaults to `yay` when no helper is recorded.
+
+_marker_dir() {
+  printf '%s/hive' "${XDG_STATE_HOME:-$HOME/.local/state}"
+}
+
+_write_marker() {
+  local state_dir
+  state_dir="$(_marker_dir)"
+  mkdir -p "$state_dir"
+  cat > "$state_dir/install-method" <<'EOF'
+---
+channel: aur
+package: hive-bin
+version: 0.1.0
+bin: hive
+EOF
+}
+
+post_install() {
+  _write_marker
+}
+
+post_upgrade() {
+  _write_marker
+}
+
+post_remove() {
+  rm -f "$(_marker_dir)/install-method"
+}
diff --git a/packaging/homebrew/hive.rb b/packaging/homebrew/hive.rb
new file mode 100644
index 000000000..535c2dbec
--- /dev/null
+++ b/packaging/homebrew/hive.rb
@@ -0,0 +1,69 @@
+# Homebrew formula for hive (bottled-style: downloads the prebuilt, runtime-free
+# binary from GitHub Releases — no system Ruby, no build step).
+#
+# Usage:
+#   brew tap ivankuznetsov/hive   # tap under the org (repo: homebrew-hive)
+#   brew install ivankuznetsov/hive/hive
+#
+# The release pipeline (U1) publishes one self-contained binary per tier-1
+# target and the matching SHA-256. The `sha256` values below are filled by the
+# U1 release job (they are placeholders until v0.1.0 ships). Keep Hive::VERSION
+# and this `version` in lockstep — the release workflow asserts tag == version.
+
+class Hive < Formula
+  desc "Agent-driven workflow orchestration (hive daemon + CLI + TUI)"
+  homepage "https://github.com/ivankuznetsov/hive"
+  license "MIT"
+  version "0.1.0"
+
+  # No runtime dependencies: hive ships a vendored-Ruby binary.
+
+  if OS.mac?
+    if Hardware::CPU.arm?
+      url "https://github.com/ivankuznetsov/hive/releases/download/v#{version}/hive-darwin-arm64"
+      sha256 "0000000000000000000000000000000000000000000000000000000000000000" # SHA256SUMS placeholder
+    else
+      url "https://github.com/ivankuznetsov/hive/releases/download/v#{version}/hive-darwin-x86_64"
+      sha256 "0000000000000000000000000000000000000000000000000000000000000000" # SHA256SUMS placeholder
+    end
+  elsif OS.linux?
+    if Hardware::CPU.arm?
+      url "https://github.com/ivankuznetsov/hive/releases/download/v#{version}/hive-linux-aarch64"
+      sha256 "0000000000000000000000000000000000000000000000000000000000000000" # SHA256SUMS placeholder
+    else
+      url "https://github.com/ivankuznetsov/hive/releases/download/v#{version}/hive-linux-x86_64"
+      sha256 "0000000000000000000000000000000000000000000000000000000000000000" # SHA256SUMS placeholder
+    end
+  end
+
+  # The release tarball ships a single executable per-target; the formula
+  # publishes it under the canonical `hive` name (symlinked into $(brew --prefix)/bin).
+  def install
+    bin.install Dir["hive-*"].first => "hive"
+  end
+
+  # U4/U6: write the install-method marker so `hive update`/`hive uninstall`/
+  # daemon service generation know this was a brew-managed install.
+  def post_install
+    require "yaml"
+    xdg_state = ENV["XDG_STATE_HOME"]
+    state_home = if xdg_state.nil? || xdg_state.empty?
+                   File.join(Dir.home, ".local", "state")
+                 else
+                   xdg_state
+                 end
+    state_dir = File.join(state_home, "hive")
+    FileUtils.mkdir_p(state_dir)
+    marker = {
+      "channel" => "brew",
+      "package" => "ivankuznetsov/hive/hive",
+      "version" => version,
+      "bin" => "hive"
+    }
+    File.write(File.join(state_dir, "install-method"), marker.to_yaml)
+  end
+
+  test do
+    system "#{bin}/hive", "--version"
+  end
+end
\ No newline at end of file
